Skip to content
Parse RSS/Atom using Nokogiri
Ruby
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
lib/rss Add processing instruction hook
test/regression
vendor
.gemtest Fill blank spaces
.gitignore
.gitmodules Fill blank spaces
BSDL
COPYING
COPYING.ja Add file regarding rights
Gemfile
LEGAL
README.markdown Fix a typo
Rakefile Remove unneccessary require
rss-nokogiri.gemspec Change homepage to RubyForge

README.markdown

RSS NokogiriParser

This gem enables standard bundled RSS library to use Nokogiri as parser.

Installation

Add this line to your application's Gemfile:

gem 'rss-nokogiri'

And then execute:

$ bundle

Or install it yourself as:

$ gem install rss-nokogiri

Usage

Require this library:

require 'rss/nokogiri'

Now RSS::Parser.default_parser have become RSS::NokogiriParser instead of the default RSS::REXMLParser.

If you want to use other parsers, call RSS::Parser.default_parser=. Available parsers can be seen in RSS::AVAILABLE_PARSERS.

Todo

  • Handling processing instruction.

Contributing

  1. Fork it
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Added some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Create new Merge Request

License

This library is distributed under the Ruby's license. See the file COPYING for the term.

Something went wrong with that request. Please try again.